## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.5

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# XPathEnvSupportDefault Class Reference

Dummy class in order to make the XPath object happy for diagnostic purposes. More...

`#include <XPathEnvSupportDefault.hpp>`

Inheritance diagram for XPathEnvSupportDefault:

[legend]
Collaboration diagram for XPathEnvSupportDefault:

[legend]
List of all members.

## Public Types

- typedef std::map<XalanDOMString,
  XalanDocument*> SourceDocsTableType
- typedef std::map<XalanDOMString,
  const Function*> FunctionTableType
- typedef std::map<XalanDOMString,
  FunctionTableType> NamespaceFunctionTablesType

## Public Methods

- XPathEnvSupportDefault ()
- virtual ~XPathEnvSupportDefault ()
- virtual void installExternalFunctionLocal (const XalanDOMString &theNamespace, const XalanDOMString &functionName, const Function &function)
    Install an external function in the local space. More...
- virtual void uninstallExternalFunctionLocal (const XalanDOMString &theNamespace, const XalanDOMString &functionName)
    Uninstall an external function from the local space. More...
- virtual XalanDocument* parseXML (const XalanDOMString &urlString, const XalanDOMString &base)
    Provides support for XML parsing service. More...
- virtual XalanDocument* getSourceDocument (const XalanDOMString &theURI) const
    Get the source document for the given URI. More...
- virtual void setSourceDocument (const XalanDOMString &theURI, XalanDocument *theDocument)
    Associate a document with a given URI. More...
- virtual XalanDOMString findURIFromDoc (const XalanDocument *owner) const
    Given a DOM Document, tell what URI was used to parse it. More...
- virtual bool elementAvailable (const XalanDOMString &theNamespace, const XalanDOMString &elementName) const
    Determine if an external element is available. More...
- virtual bool functionAvailable (const XalanDOMString &theNamespace, const XalanDOMString &functionName) const
    Determine if a function is available. More...
- virtual XObjectPtr extFunction (XPathExecutionContext &executionContext, const XalanDOMString &theNamespace, const XalanDOMString &functionName, XalanNode *context, const XObjectArgVectorType &argVec, const LocatorType *locator) const
    Handle an extension function. More...
- virtual bool problem (eSource where, eClassification classification, const PrefixResolver *resolver, const XalanNode *sourceNode, const XalanDOMString &msg, const XalanDOMChar *uri, int lineNo, int charOffset) const
    Function that is called when a problem event occurs. More...
- virtual void reset ()
    Reset the instance. More...

## Static Public Methods

- void initialize ()
    Perform initialization of statics -- must be called before any processing occurs. More...
- void terminate ()
    Perform termination of statics. More...
- void installExternalFunctionGlobal (const XalanDOMString &theNamespace, const XalanDOMString &functionName, const Function &function)
    Install an external function in the global space. More...
- void uninstallExternalFunctionGlobal (const XalanDOMString &theNamespace, const XalanDOMString &functionName)
    Uninstall an external function from the global space. More...

## Protected Methods

- const Function* findFunction (const XalanDOMString &theNamespace, const XalanDOMString &functionName) const
    Find an external function. More...

## Detailed Description

Dummy class in order to make the XPath object happy for diagnostic purposes.

## Member Typedef Documentation

typedef std::map< XalanDOMString, const Function *> XPathEnvSupportDefault::FunctionTableType<XalanDOMString, const Function*>

typedef std::map< XalanDOMString, FunctionTableType > XPathEnvSupportDefault::NamespaceFunctionTablesType<XalanDOMString, FunctionTableType>

typedef std::map< XalanDOMString, XalanDocument *> XPathEnvSupportDefault::SourceDocsTableType<XalanDOMString, XalanDocument*>

## Constructor & Destructor Documentation

XPathEnvSupportDefault::XPathEnvSupportDefault ( | )

XPathEnvSupportDefault::~XPathEnvSupportDefault ( | )`[virtual]`

## Member Function Documentation

bool XPathEnvSupportDefault::elementAvailable ( | const XalanDOMString & theNamespace,
| const XalanDOMString & elementName ) const`[virtual]`

  | Determine if an external element is available. Parameters:
  theNamespace | namespace for the element
  elementName | name of extension element
Returns: whether the element is available or not Reimplemented from XPathEnvSupport.

XObjectPtr XPathEnvSupportDefault::extFunction ( | XPathExecutionContext & executionContext,
| const XalanDOMString & theNamespace,
| const XalanDOMString & functionName,
| XalanNode * context,
| const XObjectArgVectorType & argVec,
| const LocatorType * locator ) const`[virtual]`

  | Handle an extension function. Parameters:
  executionContext | current execution context
  theNamespace | namespace of function
  functionName | extension function name
  argVec | vector of arguments to function
  locator | A LocatorType instance for error reporting.
Returns: pointer to XObject result Reimplemented from XPathEnvSupport.

const Function * XPathEnvSupportDefault::findFunction ( | const XalanDOMString & theNamespace,
| const XalanDOMString & functionName ) const`[protected]`

  | Find an external function. Parameters:
  theNamespace | The namespace for the function.
  functionName | The name of the function.
Returns: a pointer to the function if found, or 0 if not found.

XalanDOMString XPathEnvSupportDefault::findURIFromDoc ( | const XalanDocument * owner ) const`[virtual]`

  | Given a DOM Document, tell what URI was used to parse it. Needed for relative resolution. Parameters:
  owner | source document
Returns: document URI Reimplemented from XPathEnvSupport.

bool XPathEnvSupportDefault::functionAvailable ( | const XalanDOMString & theNamespace,
| const XalanDOMString & functionName ) const`[virtual]`

  | Determine if a function is available. For standard function availability, theNamespace should be an empty string. Parameters:
  theNamespace | namespace for the function
  functionName | name of the function
Returns: whether the function is available or not Reimplemented from XPathEnvSupport.

XalanDocument * XPathEnvSupportDefault::getSourceDocument ( | const XalanDOMString & theURI ) const`[virtual]`

  | Get the source document for the given URI. Parameters:
  theURI | document URI
Returns: source document Reimplemented from XPathEnvSupport.

void XPathEnvSupportDefault::initialize ( | )`[static]`

| Perform initialization of statics -- must be called before any processing occurs. See class XPathInit.

void XPathEnvSupportDefault::installExternalFunctionGlobal ( | const XalanDOMString & theNamespace,
| const XalanDOMString & functionName,
| const Function & function )`[static]`

  | Install an external function in the global space. Parameters:
  theNamespace | The namespace for the functionl
  functionName | The name of the function.
  function | The function to install.

void XPathEnvSupportDefault::installExternalFunctionLocal ( | const XalanDOMString & theNamespace,
| const XalanDOMString & functionName,
| const Function & function )`[virtual]`

  | Install an external function in the local space. Parameters:
  theNamespace | The namespace for the functionl
  functionName | The name of the function.
  function | The function to install.

XalanDocument * XPathEnvSupportDefault::parseXML ( | const XalanDOMString & urlString,
| const XalanDOMString & base )`[virtual]`

  | Provides support for XML parsing service. Parameters:
  urlString | location of the XML
  base | base location for URI
Returns: parsed document Reimplemented from XPathEnvSupport.

bool XPathEnvSupportDefault::problem ( | eSource where,
| eClassification classification,
| const PrefixResolver * resolver,
| const XalanNode * sourceNode,
| const XalanDOMString & msg,
| const XalanDOMChar * uri,
| int lineNo,
| int charOffset ) const`[virtual]`

  | Function that is called when a problem event occurs. Parameters:
  where | either eXMLParser, eXSLTProcessor, eXPATHParser, eXPATHProcessor, or eDataSource.
  classification | either eWarning, or eError
  resolver | resolver for namespace resolution
  sourceNode | source tree node where the problem occurred (may be 0)
  msg | string message explaining the problem.
  uri | the URI of the stylesheet, if available. May be 0;
  lineNo | line number where the problem occurred.
  charOffset | character offset where the problem.
Returns: true if the return is an ERROR, in which case exception will be thrown. Otherwise the processor will continue to process. Reimplemented from XPathEnvSupport.

void XPathEnvSupportDefault::reset ( | )`[virtual]`

| Reset the instance. Reimplemented from XPathEnvSupport.

void XPathEnvSupportDefault::setSourceDocument ( | const XalanDOMString & theURI,
| XalanDocument * theDocument )`[virtual]`

  | Associate a document with a given URI. Parameters:
  theURI | document URI
  theDocument | source document
Reimplemented from XPathEnvSupport.

void XPathEnvSupportDefault::terminate ( | )`[static]`

| Perform termination of statics. See class XPathInit.

void XPathEnvSupportDefault::uninstallExternalFunctionGlobal ( | const XalanDOMString & theNamespace,
| const XalanDOMString & functionName )`[static]`

  | Uninstall an external function from the global space. Parameters:
  theNamespace | The namespace for the functionl
  functionName | The name of the function.

void XPathEnvSupportDefault::uninstallExternalFunctionLocal ( | const XalanDOMString & theNamespace,
| const XalanDOMString & functionName )`[virtual]`

  | Uninstall an external function from the local space. Parameters:
  theNamespace | The namespace for the functionl
  functionName | The name of the function.

The documentation for this class was generated from the following file:

- XPathEnvSupportDefault.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.5 Copyright © 2000, 2001, 2002, 2003 The Apache Software Foundation. All Rights Reserved.